Package Scientific :: Package BSP

[frames] | no frames]

# Package BSP

High-level parallelization constructs based on the Bulk Synchronous Parallel (BSP) model.

Parallelization requires a low-level communications library, which can be either BSPlib or MPI. Programs must be run with the bsppython or mpipython executables in order to use several processors. When run with a standard Python interpreter, only one processor is available.

A warning about object identity: when a communication operation transmits a Python object to the same processor, the object in the return list can either be the sent object or a copy of it. Application programs thus should not make any assumptions about received objects being different from sent objects.

Submodules

- Scientific.BSP.Console: Interactive console for parallel computing
- Scientific.BSP.IO: Parallel acces to netCDF files

Classes
| ParAccumulator Global accumulator
| ParBase Distributed data base class
| ParClass Global class
| ParConstant Global constant
| ParData Global data
| ParFunction Global function
| ParIndex Parallel index value
| ParIndexIterator Parallel index iterator
| ParIterator Parallel iterator
| ParMessages Global message list
| ParRootFunction Asymmetric global function
| ParRootSequence Global distributed sequence with data taken from processor 0
| ParSequence Global distributed sequence
| ParTuple Global data tuple
| ParValue Global data

Variables
| ParInvalid = `<Scientific.BSP.core._ParInvalid object at 0x2573`...``
| name = ``'``world``'``
| numberOfProcessors = `1`
| processorID = `0`

Variables Details

### ParInvalid

Value:

      <Scientific.BSP.core._ParInvalid object at 0x2573910>